# 绩效考核规则
## 绩效计算规则
* 每月绩效满分是100分，所有人初始分数都是100分，并且每月分数不会大于100分
* 触发扣分项目时当月绩效会根据具体项目扣除相应分数
* 达成加分条件的，将会获得对应的加分，当月加分之后绩效超过100的，超出的部分可以保留至次月，每次加分至多保留3个月（例：A某月全勤并且没有被扣分，则当月其总分101分，多出1分；若A次月没有全勤，则多出的1分可以抵消A次月没有全勤被扣的1分）
## 扣分项目
### 考勤和工作态度
* 没有全勤，-1分
* 事假超过24小时(不含24小时），N=请假天数, -5 + (N-3)*-1分
* 上班睡觉，-2分/次
* 因个人工作态度问题，被其它部门投诉的，-2分/次

### 计划和进度
* 开发超出计划时间，导致无法按时测试的，N=超出计划测试天数，N*-1分
* 开发超出计划时间，并导致产品无法按时上线的，N=超出计划上线天数，N*-2分
* 没有按时汇报每日工作大于等于3次的，N=次数，（N-2)*-1分（注：全天请假的情况不需要汇报）
* 没有在限定时间内提交周计划的，-2分/次（限定时间为每周最后一个工作日和下周第一个工作日上午）

### 工作质量
* 负责的功能在上线之后出现严重影响用户使用的BUG的，N=修复BUG所用天数，N*-3分/次
* 负责的功能在上线之后出现BUG，但是没有严重影响用户使用的，N=修复BUG所有天数，N*-1分/次
* 不遵守Git管理规范，直接提交代码到禁止直接提交的分支的，-1分/次
* 不遵守tag管理规范，擅自使用tag并提交到远程库的，-1分/次

### 安全性
* 提交代码前没有删除代码中的敏感信息的，-20分/次
* 负责的代码存在可利用漏洞并且在修复之前被项目组研发成员以外的成员发现的。若是被公司内部其他部门发现，-2分/次，被公司外部发现，-5分/次

## 加分项目
* 全勤，+1分
* 对系统基础架构提出有效的优化方案，被项目负责人认可并实施的。+3~+10分/次
* 对不由自己负责的业务系统提出有效的优化方案，被项目负责人认可并实施的。+2~+5分/次
* 对由自己负责的，已经上线运行的系统，在不影响原工作计划的前提下主动进行完全重构级优化，被项目负责人认可并实施的。+1~+3分/次
* 对由自己负责的，已经上线运行的系统，在不影响原工作计划的前提下主动进行部分重构。被项目负责人认可并实施的。+1分/次
* 主持完成项目成员能力提升课程的。+3分/次

## 职位专属考核标准
### 助理工程师
助理工程师没有额外扣分项，但是助理工程师在试用期间绩效低于90（不含90）时将视为试用不合格。试用不合格时根据情况可选择延长试用一个月

### 工程师
* 负责的代码因没有达到[项目基本规范](./规范/README.md)的要求被项目负责人要求限期修改，并且没有按时完成的，超过限期天数=N，N*-1分/次（对不符合基本规范的代码进行修改不计入工作量，也不额外安排时间）
* 已经上线的代码，在需求和系统架构没有变更的前提下，被项目负责人要求重写超过30行的。累计每3次-1分（累计次数跨月计算）

### 高级工程师
* 负责的代码因没有达到[项目基本规范](./规范/README.md)的要求被项目负责人要求限期修改，并且没有按时完成的，超过限期天数=N，N*-2分/次（对不符合基本规范的代码进行修改不计入工作量，也不额外安排时间）
* 已经上线的代码，在需求和系统架构没有变更的前提下，被项目负责人要求重写超过30行的。-1分/次
* 负责的助理工程师没有按时完成工作的，-1分/次

## 规则修订时间
2019/9/6

## 规则生效时间
2019/9/9